SIVP Toolbox
Last update : April, 2006

im2int32 - Convert image to 32-bit signed integers

### Calling Sequence

  `im2 = im2int32(im)`

### Parameters

- `im`: An matrix/image, which can be ANY image supported by SIVP.
- `im2`: Output image, a 32-bit signed integer matrix.

### Description

`im2int32` convert intensity or RGB images to 32-bit signed integers. If the input is of class `int32`, the output image is identical to it. Otherwise, `im2int32` rescales or offsets the data, and returns the equivalent image of class `int32`.

### Authors

  Shiqi Yu <shiqi.yu[at]gmail.com>

### Availability

The latest version of SIVP can be found at

http://sivp.sourceforge.net

### See Also

`im2bw`, `im2uint8`, `im2int8`, `im2uint16`, `im2int16`, `im2double`, `mat2gray`,